# This file contains options that can be passed to the cmake command

Option                      ( CPPLOGGING_INSTALL_HEADER
                              "Install headers of cpplogging."
                              ON )
Option                      ( CPPLOGGING_INSTALL_STATIC
                              "Install static library of cpplogging."
                              ON )
Option                      ( CPPLOGGING_INSTALL_SHARED
                              "Install shared library of cpplogging."
                              ON )
Option                      ( CPPLOGGING_INSTALL_DEBUG
                              "Install the stripped debug informations of cpplogging."
                              OFF )
Option                      ( CPPLOGGING_INSTALL_PACKAGE
                              "Install the cmake package of cpplogging."
                              ON )
Option                      ( CPPLOGGING_NO_STRIP
                              "Do not strip debug symbols from binary."
                              OFF )
Option                      ( CPPLOGGING_USE_GIT_VERSION
                              "Read the git tags to get the version of cpplogging"
                              ON )
