#pragma once

#include "consumer.h"

namespace cpplogging
{

    /* consumer */

    const std::string& consumer
        ::default_format()
    {
        static const std::string value(
            "[${runtime:-016.6f}] "
            "${level:5S} "
            "${sender_type}(0x${sender:-016x})@0x${thread:-016x} "
            "${filename:-25}:${line:5d}$n"
            "${message}");
        return value;
    }

    const std::string& consumer
        ::name() const
        { return _name; }

}
