#include <cpplogging/manager/matcher/matcher_regex.h>

using namespace ::cpplogging;

matcher_regex::matcher_regex(const std::string regex, bool invert)
    : _regex    (regex)
    , _invert   (invert)
    { }

bool matcher_regex::match(const logger& logger) const
    { return std::regex_match(logger.name(), _regex) != _invert; }

bool matcher_regex::match(const consumer& consumer) const
    { return std::regex_match(consumer.name(), _regex) != _invert; }
