# This file contains generated variables that are needed for the project

# Git Version
If                              ( CPPLOGGING_USE_GIT_VERSION )
    Include                         ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                              ( HAS_GIT_HELPER )
        GitGetVersion                   ( ${CMAKE_CURRENT_LIST_DIR}/..
                                            CPPLOGGING_VERSION_MAJOR
                                            CPPLOGGING_VERSION_MINOR
                                            CPPLOGGING_VERSION_PATCH
                                            CPPLOGGING_VERSION_BUILD
                                            CPPLOGGING_VERSION_HASH
                                            CPPLOGGING_VERSION_BEHIND
                                            CPPLOGGING_VERSION_DIRTY )
    EndIf                           ( )
EndIf                           ( )

# Strings
Set                             ( CPPLOGGING_VERSION_SHORT    "${CPPLOGGING_VERSION_MAJOR}.${CPPLOGGING_VERSION_MINOR}" )
Set                             ( CPPLOGGING_VERSION          "${CPPLOGGING_VERSION_SHORT}.${CPPLOGGING_VERSION_PATCH}.${CPPLOGGING_VERSION_BUILD}" )
Set                             ( CPPLOGGING_VERSION_COMPLETE "${CPPLOGGING_VERSION}" )
Set                             ( CPPLOGGING_NAME             "${CPPLOGGING_PROJECT_NAME}-${CPPLOGGING_VERSION_SHORT}" )
Set                             ( CPPLOGGING_OUTPUTNAME       "${CPPLOGGING_PROJECT_NAME}" )
If                              ( CPPLOGGING_VERSION_BEHIND )
    Set                             ( CPPLOGGING_VERSION_COMPLETE "${CPPLOGGING_VERSION_COMPLETE}+${CPPLOGGING_VERSION_BEHIND}" )
EndIf                           ( )
