#pragma once

#include "logger.h"

#define cpplogging_global_log(p_level) \
    if (::cpplogging::logger::get().is_enabled(::cpplogging::log_level::p_level)) \
        ::cpplogging::logger::get().log() \
            << ::cpplogging::level(::cpplogging::log_level::p_level) \
            << ::cpplogging::file(__FILE__) \
            << ::cpplogging::line(__LINE__)
